From 8e0fc8d4e7540eb79a6037a14b143ac9cbefe553 Mon Sep 17 00:00:00 2001
From: Fabrice Aeschbacher <fabrice.aeschbacher@gmail.com>
Date: Mon, 10 Oct 2022 19:27:22 +0000
Subject: [PATCH] bluos controller 3.20.0 for linux

---
 package.json           | 4 ++++
 www/js/app.e238c6ff.js | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/package.json b/package.json
index ff767d1..670a35c 100644
--- a/package.json
+++ b/package.json
@@ -12,5 +12,12 @@
     "bonjour": "^3.5.0",
     "chokidar": "3.5.3",
     "sudo-prompt": "^9.2.1"
+  },
+  "devDependencies": {
+    "electron-builder": "^19"
+  },
+  "build": {
+    "appId": "com.bluos.app",
+    "extraResources": [ { "from": "resources", "to": ".", "filter": [ "**/*" ] } ]
   }
 }
\ No newline at end of file
diff --git a/www/js/app.e238c6ff.js b/www/js/app.e238c6ff.js
index cc64a87..4af0b3f 100644
--- a/www/js/app.e238c6ff.js
+++ b/www/js/app.e238c6ff.js
@@ -376,7 +376,7 @@

                 function R() {
                     let e;
-                    if ("darwin" === window.process.platform) e = "http://upgrade.nadelectronics.com/desktop_app/osx/version.xml?currentVersion";
+                    if ("linux" === window.process.platform) e = "http://upgrade.nadelectronics.com/desktop_app/osx/version.xml?currentVersion";
                     else {
                         if ("win32" !== window.process.platform) return Promise.reject("Platform " + window.process.platform + " is not supported!");
                         e = "http://upgrade.nadelectronics.com/desktop_app/windows/version.xml?currentVersion"
--
2.30.2

